module tb_distance_display_led;
    reg [8:0] distance;
    wire [5:0] leds;

    distance_display_led uut (
        .distance(distance),
        .leds(leds)
    );

    integer i;

    initial begin
        $dumpfile("distance_display_led.vcd");
        $dumpvars(0, tb_distance_display_led);

        // Test de la conversion de distance en LED
        for (i = 0; i <= 380; i = i + 10) begin
            distance = i;
            #10;
            $display("Distance: %3d cm => LEDs: %b", distance, leds);
        end

        $finish;
    end

endmodule
